/*
	File:		TestMisc.h

	Contains:	Miscellaneous tests

	Copyright:	 1993-1994 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __TESTMISC__
#define __TESTMISC__

#ifndef __TESTTOOL__
#include <TestTool.h>
#endif


struct ClientData
{
	int		fData;
	void*	fPointer;
};

/*******************************************************************************
** CLASS TTestMisc
********************************************************************************/

#define kTTestMiscID	kTestToolPrefix "TTestMisc,1.2"

class TTestMisc : public TTestTool
{
	public:
							_CDECL TTestMisc();
		virtual				~_CDECL TTestMisc();
		
		virtual void		_CDECL InitTest(BooleanParm verbose, BooleanParm debug,
									 int argc, char** argv);		
		virtual void		_CDECL RunTestIteration(BooleanParm verbose, BooleanParm debug);
		virtual void		_CDECL EndTest(BooleanParm verbose, BooleanParm debug);
		
};

#endif

