/*
	File:		TestLibrarySymbols.cp

	Contains:	The purpose of this file is so we can set the newobject flag for a
				class even when we are building with -sym off, which is required to
				get optimization with PPCC. This file includes the header files
				for any class that we set the newobject flag for. It is always compiled
				with -sym on,alltypes and has no affect on the binaries. It just
				provides needed symbol information to LibraryBuilderPPC.

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

*/

#include "TestLinkedList.h"
#include "TestAllocLinkedList.h"
#include "TestPriorityList.h"
#include "TestTimeScheduler.h"
#include "TestTaskScheduler.h"
#include "TestArbitrator.h"
#include "TestTimeStamp.h"
#include "TestRandom.h"
#include "TestHashList.h"
#include "TestStandardPool.h"
#include "TestFSet.h"
#include "TestNoVTable.h"
#include "TestTimings.h"
#include "TestExceptions.h"
#include "TestMisc.h"
