/*
	File:		TestLinkedList.h

	Contains:	Declaration for TTestLinkedList class

	Copyright:	 1991-1993 by Apple Computer, Inc., all rights reserved.

*/

#ifndef __TESTLINKEDLIST__
#define __TESTLINKEDLIST__

#ifndef __TESTCLASS__
#include "TestClass.h"
#endif
#ifndef __LIBRARYMANAGERCLASSES__
#include <LibraryManagerClasses.h>
#endif

#define kTTestLinkedListID	kTestToolPrefix "TTestLinkedList,1.2"


class TTestLinkedList : public TTestTool
{
	BodyTest(LinkedList, LinkedList);
	
	virtual void	TestIsEmpty(Boolean) const;
	virtual void	TestCount(size_t) const;
	virtual void	TestFirstLast(short, short) const;
	virtual void	TestMember(short, Boolean) const;
	
	TLink*	fArray[100];
};

#endif


